diff --git a/modules/STM32F407G-DISC1/module.c b/modules/STM32F407G-DISC1/module.c
index b001a49..a53ac6e 100644
--- a/modules/STM32F407G-DISC1/module.c
+++ b/modules/STM32F407G-DISC1/module.c
@@ -149,7 +149,7 @@ ROMCONST apalControlGpio_t moduleGpioUserButton = {
 
 #if (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 ROMCONST char* moduleShellPrompt = "STM32F407Discovery";
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
@@ -179,7 +179,7 @@ ROMCONST char* moduleShellPrompt = "STM32F407Discovery";
 /*===========================================================================*/
 #if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 /** @} */
diff --git a/modules/STM32F407G-DISC1/module.h b/modules/STM32F407G-DISC1/module.h
index 6aaa442..1d1c676 100644
--- a/modules/STM32F407G-DISC1/module.h
+++ b/modules/STM32F407G-DISC1/module.h
@@ -140,7 +140,7 @@ extern ROMCONST apalControlGpio_t moduleGpioUserButton;
  * @brief   Shell prompt text.
  */
 extern ROMCONST char* moduleShellPrompt;
-#endif
+#endif /* (AMIROOS_CFG_SHELL_ENABLE == true) || (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /**
  * @brief   Interrupt initialization macro.
@@ -215,7 +215,7 @@ extern ROMCONST char* moduleShellPrompt;
 /*===========================================================================*/
 #if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
 
-#endif /* AMIROOS_CFG_TESTS_ENABLE == true */
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
 /** @} */
 
diff --git a/periphery-lld/periphAL.c b/periphery-lld/periphAL.c
index 536b22c..c137feb 100644
--- a/periphery-lld/periphAL.c
+++ b/periphery-lld/periphAL.c
@@ -58,4 +58,4 @@ void apalDbgPrintf(const char* fmt, ...)
   return;
 }
 
-#endif /* AMIROOS_CFG_DBG == true */
+#endif /* (AMIROOS_CFG_DBG == true) */
diff --git a/periphery-lld/periphAL.h b/periphery-lld/periphAL.h
index 8bc2316..cb31cd7 100644
--- a/periphery-lld/periphAL.h
+++ b/periphery-lld/periphAL.h
@@ -50,14 +50,14 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 #if (AMIROOS_CFG_DBG == true) || defined(__DOXYGEN__)
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   void _apalDbgAssertMsg(const bool c, const char* fmt, ...);
   void apalDbgPrintf(const char* fmt, ...);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /**
  * @brief Assert function to check a given condition.
@@ -67,13 +67,13 @@ extern "C" {
 #define apalDbgAssert(c)                                                      \
   _apalDbgAssertMsg(c, "%s(%u): apalDbgAssert failed", __FILE__, __LINE__);
 
-#else /* AMIROOS_CFG_DBG != true */
+#else /* (AMIROOS_CFG_DBG != true) */
 
 #define apalDbgAssert(constition)
 #define apalDbgAssertMsg(condition, fmt, ...)
 #define apalDbgPrintf(fmt, ...)
 
-#endif /* AMIROOS_CFG_DBG */
+#endif /* (AMIROOS_CFG_DBG == true) */
 
 /*============================================================================*/
 /* GENERAL                                                                    */
@@ -101,7 +101,7 @@ static inline void usleep(apalTime_t us)
 /* GPIO                                                                       */
 /*============================================================================*/
 
-#if HAL_USE_PAL || defined (__DOXYGEN__)
+#if (HAL_USE_PAL == TRUE) || defined (__DOXYGEN__)
 
 /**
  * @brief GPIO driver type.
@@ -212,13 +212,13 @@ static inline apalExitStatus_t apalControlGpioSet(const apalControlGpio_t* const
     (edge == APAL_GPIO_EDGE_FALLING) ? PAL_EVENT_MODE_FALLING_EDGE :  \
      (edge == APAL_GPIO_EDGE_BOTH) ? PAL_EVENT_MODE_BOTH_EDGES : 0)
 
-#endif /* HAL_USE_PAL */
+#endif /* (HAL_USE_PAL == TRUE) */
 
 /*============================================================================*/
 /* PWM                                                                        */
 /*============================================================================*/
 
-#if HAL_USE_PWM || defined (__DOXYGEN__)
+#if (HAL_USE_PWM == TRUE) || defined (__DOXYGEN__)
 
 /**
  * @brief PWM driver type.
@@ -276,13 +276,13 @@ static inline apalExitStatus_t apalPWMGetPeriod(apalPWMDriver_t* pwm, apalPWMper
   return APAL_STATUS_OK;
 }
 
-#endif /* HAL_USE_PWM */
+#endif /* (HAL_USE_PWM == TRUE) */
 
 /*============================================================================*/
 /* QEI                                                                        */
 /*============================================================================*/
 
-#if HAL_USE_QEI || defined (__DOXYGEN__)
+#if (HAL_USE_QEI == TRUE) || defined (__DOXYGEN__)
 
 /**
  * @brief QEI driver type.
@@ -343,13 +343,13 @@ static inline apalExitStatus_t apalQEIGetRange(apalQEIDriver_t* qei, apalQEICoun
   return APAL_STATUS_OK;
 }
 
-#endif /* HAL_USE_QEI */
+#endif /* (HAL_USE_QEI == TRUE) */
 
 /*============================================================================*/
 /* I2C                                                                        */
 /*============================================================================*/
 
-#if HAL_USE_I2C || defined(__DOXYGEN__)
+#if (HAL_USE_I2C == TRUE) || defined(__DOXYGEN__)
 
 /**
  * @brief I2C driver type.
@@ -379,7 +379,7 @@ static inline apalExitStatus_t apalI2CMasterTransmit(apalI2CDriver_t* i2cd, cons
   if (!i2cd_locked_external) {
     i2cAcquireBus(i2cd);
   }
-#endif
+#endif /* (I2C_USE_MUTUAL_EXCLUSION == TRUE) */
 
 #pragma GCC diagnostic push
 #pragma GCC diagnostic ignored "-Wtype-limits"
@@ -393,25 +393,25 @@ static inline apalExitStatus_t apalI2CMasterTransmit(apalI2CDriver_t* i2cd, cons
   } else {
     status = i2cMasterTransmitTimeout(i2cd, addr, txbuf, txbytes, rxbuf, rxbytes, ((timeout >= TIME_INFINITE) ? TIME_INFINITE : TIME_US2I(timeout)) );
   }
-#else
+#else /* defined(STM32F1XX_I2C) */
   const msg_t status = i2cMasterTransmitTimeout(i2cd, addr, txbuf, txbytes, rxbuf, rxbytes, ((timeout >= TIME_INFINITE) ? TIME_INFINITE : TIME_US2I(timeout)) );
-#endif
+#endif /* defined(STM32F1XX_I2C) */
 #pragma GCC diagnostic pop
 
 #if (I2C_USE_MUTUAL_EXCLUSION == TRUE)
   if (!i2cd_locked_external) {
     i2cReleaseBus(i2cd);
   }
-#endif
+#endif /* (I2C_USE_MUTUAL_EXCLUSION == TRUE) */
 
   switch (status)
   {
     case MSG_OK:
 #if defined(STM32F1XX_I2C)
       return (rxbytes != 1) ? APAL_STATUS_OK : APAL_STATUS_WARNING;
-#else
+#else /* defined(STM32F1XX_I2C) */
       return APAL_STATUS_OK;
-#endif
+#endif /* defined(STM32F1XX_I2C) */
     case MSG_TIMEOUT:
       return APAL_STATUS_TIMEOUT;
     case MSG_RESET:
@@ -441,7 +441,7 @@ static inline apalExitStatus_t apalI2CMasterReceive(apalI2CDriver_t* i2cd, const
   if (!i2cd_locked_external) {
     i2cAcquireBus(i2cd);
   }
-#endif
+#endif /* (I2C_USE_MUTUAL_EXCLUSION == TRUE) */
 
 #pragma GCC diagnostic push
 #pragma GCC diagnostic ignored "-Wtype-limits"
@@ -455,25 +455,25 @@ static inline apalExitStatus_t apalI2CMasterReceive(apalI2CDriver_t* i2cd, const
   } else {
     status = i2cMasterReceiveTimeout(i2cd, addr, rxbuf, rxbytes, ((timeout >= TIME_INFINITE) ? TIME_INFINITE : TIME_US2I(timeout)) );
   }
-#else
+#else /* defined(STM32F1XX_I2C) */
   const msg_t status = i2cMasterReceiveTimeout(i2cd, addr, rxbuf, rxbytes, ((timeout >= TIME_INFINITE) ? TIME_INFINITE : TIME_US2I(timeout)) );
-#endif
+#endif /* defined(STM32F1XX_I2C) */
 #pragma GCC diagnostic pop
 
 #if (I2C_USE_MUTUAL_EXCLUSION == TRUE)
   if (!i2cd_locked_external) {
     i2cReleaseBus(i2cd);
   }
-#endif
+#endif /* (I2C_USE_MUTUAL_EXCLUSION == TRUE) */
 
   switch (status)
   {
     case MSG_OK:
 #if defined(STM32F1XX_I2C)
       return (rxbytes != 1) ? APAL_STATUS_OK : APAL_STATUS_WARNING;
-#else
+#else /* defined(STM32F1XX_I2C) */
       return APAL_STATUS_OK;
-#endif
+#endif /* defined(STM32F1XX_I2C) */
     case MSG_TIMEOUT:
       return APAL_STATUS_TIMEOUT;
     case MSG_RESET:
@@ -482,13 +482,13 @@ static inline apalExitStatus_t apalI2CMasterReceive(apalI2CDriver_t* i2cd, const
   }
 }
 
-#endif /* HAL_USE_I2C */
+#endif /* (HAL_USE_I2C == TRUE) */
 
 /*============================================================================*/
 /* SPI                                                                        */
 /*============================================================================*/
 
-#if HAL_USE_SPI || defined(__DOXYGEN__)
+#if (HAL_USE_SPI == TRUE) || defined(__DOXYGEN__)
 
 /**
  * @brief SPI driver type.
@@ -509,23 +509,23 @@ static inline apalExitStatus_t apalSPIExchange(apalSPIDriver_t* spid, const uint
 {
   apalDbgAssert(spid != NULL);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   // check whether the SPI driver was locked externally
   const bool spid_locked_external = spid->mutex.owner == currp;
   if (!spid_locked_external) {
     spiAcquireBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   spiSelect(spid);
   spiExchange(spid, length, txData, rxData);
   spiUnselect(spid);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   if (!spid_locked_external) {
     spiReleaseBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   return APAL_STATUS_OK;
 }
@@ -543,23 +543,23 @@ static inline apalExitStatus_t apalSPIReceive(apalSPIDriver_t* spid, uint8_t* co
 {
   apalDbgAssert(spid != NULL);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   // check whether the SPI driver was locked externally
   const bool spid_locked_external = spid->mutex.owner == currp;
   if (!spid_locked_external) {
     spiAcquireBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   spiSelect(spid);
   spiReceive(spid, length, data);
   spiUnselect(spid);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   if (!spid_locked_external) {
     spiReleaseBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   return APAL_STATUS_OK;
 }
@@ -577,23 +577,23 @@ static inline apalExitStatus_t apalSPITransmit(apalSPIDriver_t* spid, const uint
 {
   apalDbgAssert(spid != NULL);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   // check whether the SPI driver was locked externally
   const bool spid_locked_external = spid->mutex.owner == currp;
   if (!spid_locked_external) {
     spiAcquireBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   spiSelect(spid);
   spiSend(spid, length, data);
   spiUnselect(spid);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   if (!spid_locked_external) {
     spiReleaseBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   return APAL_STATUS_OK;
 }
@@ -613,28 +613,28 @@ static inline apalExitStatus_t apalSPITransmitAndReceive(apalSPIDriver_t* spid,
 {
   apalDbgAssert(spid != NULL);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   // check whether the SPI driver was locked externally
   const bool spid_locked_external = spid->mutex.owner == currp;
   if (!spid_locked_external) {
     spiAcquireBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   spiSelect(spid);
   spiSend(spid, txLength, txData);
   spiReceive(spid, rxLength, rxData);
   spiUnselect(spid);
 
-#if (SPI_USE_MUTUAL_EXCLUSION)
+#if (SPI_USE_MUTUAL_EXCLUSION == TRUE)
   if (!spid_locked_external) {
     spiReleaseBus(spid);
   }
-#endif
+#endif /* (SPI_USE_MUTUAL_EXCLUSION == TRUE) */
 
   return APAL_STATUS_OK;
 }
 
-#endif /* HAL_USE_SPI */
+#endif /* (HAL_USE_SPI == TRUE) */
 
 #endif /* AMIROOS_PERIPHAL_H */
diff --git a/unittests/lld/inc/ut_lld_adc.h b/unittests/lld/inc/ut_lld_adc.h
index 66f8625..ceed031 100644
--- a/unittests/lld/inc/ut_lld_adc.h
+++ b/unittests/lld/inc/ut_lld_adc.h
@@ -63,13 +63,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAdcFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_A3906_v1.h b/unittests/periphery-lld/inc/ut_alld_A3906_v1.h
index 009c895..788cd8d 100644
--- a/unittests/periphery-lld/inc/ut_alld_A3906_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_A3906_v1.h
@@ -134,13 +134,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldA3906Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_AT24C01B_v1.h b/unittests/periphery-lld/inc/ut_alld_AT24C01B_v1.h
index d9020af..e239c4e 100644
--- a/unittests/periphery-lld/inc/ut_alld_AT24C01B_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_AT24C01B_v1.h
@@ -68,13 +68,13 @@ typedef struct {
 /* INLINE FUNCTIONS                                                           */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldAt24c01bFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_AT24C01B) && (AMIROLLD_CFG_AT24C01B == 1) */
 
diff --git a/unittests/periphery-lld/inc/ut_alld_AT42QT1050_v1.h b/unittests/periphery-lld/inc/ut_alld_AT42QT1050_v1.h
index cb27918..3619d2b 100644
--- a/unittests/periphery-lld/inc/ut_alld_AT42QT1050_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_AT42QT1050_v1.h
@@ -74,13 +74,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldAt42qt1050Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_DW1000_v0.h b/unittests/periphery-lld/inc/ut_alld_DW1000_v0.h
index f55ecc2..4dfb38d 100755
--- a/unittests/periphery-lld/inc/ut_alld_DW1000_v0.h
+++ b/unittests/periphery-lld/inc/ut_alld_DW1000_v0.h
@@ -49,13 +49,13 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldDw1000Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_HMC5883L_v1.h b/unittests/periphery-lld/inc/ut_alld_HMC5883L_v1.h
index 8661f76..e8917bb 100644
--- a/unittests/periphery-lld/inc/ut_alld_HMC5883L_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_HMC5883L_v1.h
@@ -74,13 +74,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldHmc5883lFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_INA219_v1.h b/unittests/periphery-lld/inc/ut_alld_INA219_v1.h
index 9151ca2..86f0297 100644
--- a/unittests/periphery-lld/inc/ut_alld_INA219_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_INA219_v1.h
@@ -74,13 +74,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldIna219Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_L3G4200D_v1.h b/unittests/periphery-lld/inc/ut_alld_L3G4200D_v1.h
index 245d5b9..1ed7d78 100644
--- a/unittests/periphery-lld/inc/ut_alld_L3G4200D_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_L3G4200D_v1.h
@@ -74,13 +74,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldL3g4200dFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_LED_v1.h b/unittests/periphery-lld/inc/ut_alld_LED_v1.h
index 310e510..1d3d1c3 100644
--- a/unittests/periphery-lld/inc/ut_alld_LED_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_LED_v1.h
@@ -49,13 +49,13 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldLedFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_LIS331DLH_v1.h b/unittests/periphery-lld/inc/ut_alld_LIS331DLH_v1.h
index f14a3d4..91c35cc 100644
--- a/unittests/periphery-lld/inc/ut_alld_LIS331DLH_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_LIS331DLH_v1.h
@@ -74,13 +74,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldLis331dlhFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_LTC4412_v1.h b/unittests/periphery-lld/inc/ut_alld_LTC4412_v1.h
index 5b4dbf1..00fa63b 100644
--- a/unittests/periphery-lld/inc/ut_alld_LTC4412_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_LTC4412_v1.h
@@ -49,13 +49,13 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldLtc4412Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_MPR121_v1.h b/unittests/periphery-lld/inc/ut_alld_MPR121_v1.h
index 098b3d0..a7e5da7 100644
--- a/unittests/periphery-lld/inc/ut_alld_MPR121_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_MPR121_v1.h
@@ -74,13 +74,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldMpr121Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_MPU6050_v1.h b/unittests/periphery-lld/inc/ut_alld_MPU6050_v1.h
index 926f6f2..e33988b 100644
--- a/unittests/periphery-lld/inc/ut_alld_MPU6050_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_MPU6050_v1.h
@@ -64,13 +64,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldMpu6050Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_PCA9544A_v1.h b/unittests/periphery-lld/inc/ut_alld_PCA9544A_v1.h
index 0a7a750..98921d9 100644
--- a/unittests/periphery-lld/inc/ut_alld_PCA9544A_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_PCA9544A_v1.h
@@ -64,13 +64,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldPca9544aFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_PCAL6524_v1.h b/unittests/periphery-lld/inc/ut_alld_PCAL6524_v1.h
index 7cc7151..e2bab5d 100644
--- a/unittests/periphery-lld/inc/ut_alld_PCAL6524_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_PCAL6524_v1.h
@@ -64,13 +64,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldPcal6524Func(BaseSequentialStream* stream, aos_unittest_t *ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_PKxxxExxx_v1.h b/unittests/periphery-lld/inc/ut_alld_PKxxxExxx_v1.h
index 60136b1..98caf71 100644
--- a/unittests/periphery-lld/inc/ut_alld_PKxxxExxx_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_PKxxxExxx_v1.h
@@ -64,13 +64,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldPkxxxexxxFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_TLC5947_v1.h b/unittests/periphery-lld/inc/ut_alld_TLC5947_v1.h
index 2199a95..0c10096 100644
--- a/unittests/periphery-lld/inc/ut_alld_TLC5947_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_TLC5947_v1.h
@@ -49,13 +49,13 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldTlc5947Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_TPS20xxB_v1.h b/unittests/periphery-lld/inc/ut_alld_TPS20xxB_v1.h
index 7c264bf..689f5c3 100644
--- a/unittests/periphery-lld/inc/ut_alld_TPS20xxB_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_TPS20xxB_v1.h
@@ -49,13 +49,13 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldTps20xxbFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1.h b/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1.h
index a158a98..e7630d2 100644
--- a/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1.h
@@ -49,13 +49,13 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldTps6211xFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1_INA219_v1.h b/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1_INA219_v1.h
index 5877c9e..e646849 100644
--- a/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1_INA219_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_TPS6211x_v1_INA219_v1.h
@@ -70,13 +70,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldTps6211xIna219Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
diff --git a/unittests/periphery-lld/inc/ut_alld_VCNL4020_v1.h b/unittests/periphery-lld/inc/ut_alld_VCNL4020_v1.h
index 8140b58..bc7e1f7 100644
--- a/unittests/periphery-lld/inc/ut_alld_VCNL4020_v1.h
+++ b/unittests/periphery-lld/inc/ut_alld_VCNL4020_v1.h
@@ -74,13 +74,13 @@ typedef struct {
 /* EXTERN DECLARATIONS                                                        */
 /******************************************************************************/
 
-#ifdef __cplusplus
+#if defined(__cplusplus)
 extern "C" {
-#endif
+#endif /* defined(__cplusplus) */
   aos_utresult_t utAlldVcnl4020Func(BaseSequentialStream* stream, aos_unittest_t* ut);
-#ifdef __cplusplus
+#if defined(__cplusplus)
 }
-#endif
+#endif /* defined(__cplusplus) */
 
 /******************************************************************************/
 /* INLINE FUNCTIONS                                                           */
